net.sf.jasperreports.engine.export

## Class JRPrintServiceExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.JRPrintServiceExporterParameter

- Deprecated.
  Replaced by `PrintServiceExporterConfiguration`.

      public class JRPrintServiceExporterParameter
      extends JRExporterParameter

  Version:
    $Id: JRPrintServiceExporterParameter.java 6725 2013-11-11 12:58:18Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRPrintServiceExporterParameter` | `DISPLAY_PAGE_DIALOG` Deprecated. Replaced by `PrintServiceExporterConfiguration.isDisplayPageDialog()`.
    `static JRPrintServiceExporterParameter` | `DISPLAY_PAGE_DIALOG_ONLY_ONCE` Deprecated. Replaced by `PrintServiceExporterConfiguration.isDisplayPageDialogOnlyOnce()`.
    `static JRPrintServiceExporterParameter` | `DISPLAY_PRINT_DIALOG` Deprecated. Replaced by `PrintServiceExporterConfiguration.isDisplayPrintDialog()`.
    `static JRPrintServiceExporterParameter` | `DISPLAY_PRINT_DIALOG_ONLY_ONCE` Deprecated. Replaced by `PrintServiceExporterConfiguration.isDisplayPrintDialogOnlyOnce()`.
    `static JRPrintServiceExporterParameter` | `PRINT_REQUEST_ATTRIBUTE_SET` Deprecated. Replaced by `PrintServiceExporterConfiguration.getPrintRequestAttributeSet()`.
    `static JRPrintServiceExporterParameter` | `PRINT_SERVICE` Deprecated. Replaced by `PrintServiceExporterConfiguration.getPrintService()`.
    `static JRPrintServiceExporterParameter` | `PRINT_SERVICE_ATTRIBUTE_SET` Deprecated. Replaced by `PrintServiceExporterConfiguration.getPrintServiceAttributeSet()`.

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRPrintServiceExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRINT_REQUEST_ATTRIBUTE_SET

          public static final JRPrintServiceExporterParameter PRINT_REQUEST_ATTRIBUTE_SET

      Deprecated. Replaced by `PrintServiceExporterConfiguration.getPrintRequestAttributeSet()`.

    - #### PRINT_SERVICE_ATTRIBUTE_SET

          public static final JRPrintServiceExporterParameter PRINT_SERVICE_ATTRIBUTE_SET

      Deprecated. Replaced by `PrintServiceExporterConfiguration.getPrintServiceAttributeSet()`.

    - #### DISPLAY_PAGE_DIALOG

          public static final JRPrintServiceExporterParameter DISPLAY_PAGE_DIALOG

      Deprecated. Replaced by `PrintServiceExporterConfiguration.isDisplayPageDialog()`.

    - #### DISPLAY_PAGE_DIALOG_ONLY_ONCE

          public static final JRPrintServiceExporterParameter DISPLAY_PAGE_DIALOG_ONLY_ONCE

      Deprecated. Replaced by `PrintServiceExporterConfiguration.isDisplayPageDialogOnlyOnce()`.

    - #### DISPLAY_PRINT_DIALOG

          public static final JRPrintServiceExporterParameter DISPLAY_PRINT_DIALOG

      Deprecated. Replaced by `PrintServiceExporterConfiguration.isDisplayPrintDialog()`.

    - #### DISPLAY_PRINT_DIALOG_ONLY_ONCE

          public static final JRPrintServiceExporterParameter DISPLAY_PRINT_DIALOG_ONLY_ONCE

      Deprecated. Replaced by `PrintServiceExporterConfiguration.isDisplayPrintDialogOnlyOnce()`.

    - #### PRINT_SERVICE

          public static final JRPrintServiceExporterParameter PRINT_SERVICE

      Deprecated. Replaced by `PrintServiceExporterConfiguration.getPrintService()`.

  - ### Constructor Detail

    - #### JRPrintServiceExporterParameter

          protected JRPrintServiceExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com